# Package org.apache.ignite.internal.util.ipc

IPC utility classes.

See: Description

Interface Summary
IpcEndpoint: IGFS IPC endpoint used for point-to-point communication.
IpcServerEndpoint: IPC server endpoint that is capable for client connections accepting.

Class Summary
IpcEndpointFactory: Igfs endpoint factory for inter-process communication.
IpcToNioAdapter<T>: Allows to re-use existing `GridNioFilter`s on IPC (specifically shared memory IPC) communications.

Enum Summary
IpcEndpointType: IPC endpoint type.

Exception Summary
IpcEndpointBindException: Represents exception occurred during IPC endpoint binding.

## Package org.apache.ignite.internal.util.ipc Description

IPC utility classes.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018